Subject: Re: [PATCH v7 00/11] Add interpret-trailers builtin

From: Junio C Hamano <[email-masked]>
Date: Mon, 10 Mar 2014 08:27:02 -0700

Øystein Walle <[email-masked]> writes:

> Junio C Hamano <gitster <at> pobox.com> writes:
>
>> 
>> 	...
>> 
>> is easier to read and maintain if written like so (with using HT
>> properly---our MUAs may damage it and turn the indentation into
>> spaces):
>> 
>> 	... &&
>> 	sed -e "s/ Z$/ /" >>expect <<-\EOF &&
>>         Fixes: Z
>>         Acked-by= Z
>>         Reviewed-by: Z
>>         Signed-off-by: Z
>> 	EOF
>> 	...
>> 
>
> How about:
>
>    printf '%s: \n' Fixes Acked-by Reviewed-by Signed-off-by >> expect

Not really.

> This solution scores high marks in both readability and maintainability
> in my mind.

I actually considered that approach while I was writing the message
you responded to, but discarded it because it forces us to commit to
the view that we forsee no need to test an output that does not end
with a trailing whitespace.  And I do not think that is a limitation
we want to place on this test.